MEGA LIMITED CODE REVIEW LICENCE

This licence grants you the rights, and only the rights, set out below, to access and review Mega's code. If you take advantage of these rights, you accept this licence. If you do not accept the licence, do not access the code.

Words used in the Mega Limited Terms of Service [https://mega.nz/terms] have the same meaning in this licence. Where there is any inconsistency between this licence and those Terms of Service, these terms prevail.

Section 1 -- Definitions
"code" means the Mega code made available from time, in our sole discretion, for access under this licence at [https://github.com/]. Reference to code in this licence means the code and any part of it and any derivative of it.

"defect" means a defect, bug, backdoor, security issue or other deficiency in the code.

"review " means to access, analyse, test and otherwise review the code as a reference, for the sole purpose of analysing it for defects.

"you" means the licensee of rights set out in this licence.

Section 2 -- Grant of Rights
Subject to the terms of this licence, we grant you a non-transferable, non-exclusive, worldwide, royalty-free licence to access and use the code solely for review purposes.

You may provide the code to anyone else and publish excerpts of it for the purposes of review and commentary, provided that when you do so you make any recipient of the code aware of the terms of this licence and that you attribute the code to Mega.

Other than in respect of those parts of the code that were developed by other parties and as specified strictly in accordance with the open source and other licences under which those parts of the code have been made available, as set out on our website or in those items of code, you are not entitled to use or do anything with the code for any commercial or other purpose, other than review and commentary on it.

Subject to the terms of this licence, you must at all times comply with and shall be bound by our Terms of Use [https://mega.nz/terms], Privacy Policy [https://mega.nz/privacy] and Takedown Guidance Policy [https://mega.nz/takedown].

Section 3 -- Limitations
This licence does not grant you any rights to use Mega's name, logo, or trademarks and you must not in any way indicate you are authorised to speak on behalf of Mega.

If you issue proceedings in any jurisdiction against Mega because you consider Mega has infringed copyright or any patent right in respect of the code (including any joinder or counterclaim), your licence to the code is automatically terminated.

THE CODE IS MADE AVAILABLE "AS-IS" AND WITHOUT ANY EXPRESS OF IMPLIED GUARANTEES AS TO FITNESS, MERCHANTABILITY, NON-INFRINGEMENT OR OTHERWISE. IT IS NOT BEING PROVIDED IN TRADE BUT ON A VOLUNTARY BASIS ON OUR PART AND YOURS AND IS NOT MADE AVAILABE FOR CONSUMER USE OR ANY OTHER USE OUTSIDE THE TERMS OF THIS LICENCE. ANYONE ACCESSING THE CODE SHOULD HAVE THE REQUISITE EXPERTISE TO SECURE THEIR OWN SYSTEM AND DEVICES AND TO ACCESS AND USE THE CODE FOR REVIEW PURPOSES. YOU BEAR THE RISK OF ACCESSING AND USING IT. IN PARTICULAR, MEGA BEARS NO LIABILITY FOR ANY INTERFERENCE WITH OR ADVERSE EFFECT ON YOUR SYSTEM OR DEVICES AS A RESULT OF YOUR ACCESSING AND USING THE CODE.

Section 4 -- Termination, suspension and variation
We may suspend, terminate or vary the terms of this licence and any access to the code at any time, without notice, for any reason or no reason, in respect of any licensee, group of licensees or all licensees.
Section 5 -- General
This licence and its interpretation and operation are governed solely by New Zealand law. We and each you submit to the exclusive jurisdiction of the New Zealand arbitral tribunals as further described in our Terms of Service and you agree not to raise any jurisdictional issue if we need to enforce an arbitral award or judgment in New Zealand or another country.

Questions and comments regarding this licence are welcomed and should be addressed to [support@mega.nz].

Last updated 20 January 2016.
